// MaintMsg.h: interface for the CMaintMsg class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include <string>

#include "DllDefines.h"

class MCCTRDLLCLASS CMaintMsg
{
public:
    static std::string GetMaintMsg();
    static void ClearMaintMsg();
    static bool IsMsgAvailable();
    static void SetMaintMsg(std::string strMsg);
    CMaintMsg();
    virtual ~CMaintMsg();

    static CMutex m_MaintMsgMutex;

private:
    static std::string m_strMaintMsg;
};
